Path Parameters
Query Parameters
Response
Example Response
A playlist (or mix) request costs 8 credits. Failed requests are not charged.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Full detail for a YouTube playlist plus the first page of its items.
Show PlaylistItem object
{
"playlist_id": "PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
"title": "Top Music Videos",
"description": "A rotating collection of the biggest music videos.",
"playlist_url": "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
"video_count": 50,
"view_count": 12400000,
"view_count_text": "12.4M views",
"channel_id": "UCBR8-60-B28hp2BmDPdntcQ",
"channel_name": "YouTube",
"channel_is_verified": true,
"thumbnail": "https://i.ytimg.com/vi/dQw4w9WgXcQ/hqdefault.jpg",
"privacy_status": "PUBLIC",
"is_mix": false,
"videos": [
{
"position": 1,
"video_id": "dQw4w9WgXcQ",
"title": "Rick Astley - Never Gonna Give You Up (Official Video)",
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ&list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
"length_seconds": 213,
"duration": "3:33",
"channel_name": "Rick Astley",
"view_count": 1600000000,
"is_playable": true
}
],
"continuation": "4qmFsgJhEiRWTFBM...",
"scraped_at": "2026-06-21T12:00:00Z"
}
/v1/youtube/playlists/{playlist_id}/items using the returned continuation token. Auto-generated mixes are available at GET /v1/youtube/mixes/{mix_id} and return the same Playlist shape with is_mix: true.